import React, {Component} from 'react'
import './index.scss'
import Bargain from './bargain'
import OutLine from './outline'
import {HeaderBar, ToApp} from '../../common'
import ShareRank from "./shareRank"
import Audition from "./audition"
import Single from "./single"


class Detail extends Component {
    state = {
        isbuy: 0,
        isvip: 0,
         auditionBox: false,
        singleBox: false
    }

    toApp = () => {
        alert('toApp')
    }
    // 点击子组件试听按钮
    toAudition = () => {
        this.setState(status => ({
            auditionBox: true,
        }));
    }
    // 点击子组件单集购买按钮
    toSingleset = () => {
        this.setState(status => ({
            singleBox: true,
        }));
    }

    // 自组件传给父组件的boxHide
    boxHide = (val) => {
        this.setState({auditionBox: val,singleBox: val})
    }

    render() {
        return (
            <div className='detail-box'>
                <ToApp className='toapp' toApp={this.toApp}></ToApp>
                <HeaderBar title={'课程详情'}></HeaderBar>
                {/*课程*/}
                <div className='course-content'>
                    <div className='cover'>
                        <img src='https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg'
                             alt=""/>
                    </div>
                    <div className="info">
                        <p className='title'>区块链实战[一对一实战 公区块链实战[一对一实战 公...</p>
                        <p className='contact text-overflow-2'>从零入门区块链和比特币，送干货从零入门</p>
                        <div className='des'>
                            {this.state.isbuy === 0 && <p className="course-price">
                                <span className="new">￥3980</span>
                                <span className="old">￥5680</span>
                            </p>
                            }
                            {this.state.isbuy === 1 &&
                            <a href="/#" className="isbuy">已购买</a>
                            }
                        </div>
                    </div>
                </div>
                {/*正常课程已购买时显示*/}
                {
                    this.state.isbuy === 1 &&
                    <div className='group'>
                        上课QQ群：449141326，加群请备注您的学号：479409
                    </div>
                }
                {/*vip课程显示*/}
                {
                    this.state.isvip === 1 &&
                    <div className="vip">
                        <p>已开通年会员：2019/03/02 — 2020/03/02</p>
                        <p>年会员QQ群：967114537，加群请备注您的学号：479409</p>
                    </div>
                }

                {/*服务承诺*/}
                <div className='promise'>
                    <label>服务承诺</label>
                    <p>直播答疑 · 视频回放 · 讲师助教组长同答疑 · 毕业考核等十多项服务</p>
                </div>

                {/*分享赚钱*/}
                <ShareRank/>

                {/*砍价*/}
                <Bargain/>

                {/*课程介绍、大纲*/}
                <OutLine toAudition={this.toAudition} toSingleset={this.toSingleset}/>

                {/*试听*/}
                <Audition auditionBox={this.state.auditionBox} boxHide={this.boxHide}/>

                {/*单集购买*/}
                <Single singleBox={this.state.singleBox} boxHide={this.boxHide}/>

            </div>
        )
    }

}

export default Detail
