import React from 'react';
import { Route, Redirect } from "react-router-dom";
import { connect } from "react-redux";
import jsCookie from 'js-cookie'


const PrivateRoute = ({component: Component, path, user, ...rest}) => {
    let authenticated = jsCookie.get('token') && jsCookie.get('uid')
    return (
        <Route {...rest} render={props => {
            return authenticated
                ? <Component {...props}/>
                : <Redirect to={{
                    pathname: '/passport',
                    state: {from: props.location}
                }}/>
        }}/>
    );
};

export default connect(
    state => ({user: state.user}),
    null
)(PrivateRoute);